#################################################
#
#  (C) 2016 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( dialogs )
add_subdirectory( pictures )
add_subdirectory( sounds )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdegames
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kbattleship (executable) ##################

tde_add_executable( kbattleship AUTOMOC
  SOURCES kbaiplayer.cpp kbstrategy.cpp kbverticalstepstrategy.cpp
    kbdestroyshipstrategy.cpp kbhorizontalstepstrategy.cpp
    kbrandomshotstrategy.cpp kbdiagonalwrapstrategy.cpp kmessage.cpp
    kbattleshipserver.cpp kbattleshipclient.cpp kbattleshipview.cpp
    kgridwidget.cpp kbattlefield.cpp kchatwidget.cpp kserverdialog.cpp
    kclientdialog.cpp kstatdialog.cpp kbdiagonalshotstrategy.cpp
    konnectionhandling.cpp kship.cpp kshiplist.cpp kbchooserstrategy.cpp
    kbattleship.cpp main.cpp
  LINK tdecore-shared tdeui-shared tdeio-shared tdegames-shared
     tdednssd-shared kbattleshipdialogs-static
  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data ################################

install(
  FILES kbattleshipui.rc
  DESTINATION ${DATA_INSTALL_DIR}/kbattleship
)

tde_create_translated_desktop(
    SOURCE eventsrc
    DESTINATION ${DATA_INSTALL_DIR}/kbattleship
    PO_DIR kbattleship-eventsrc
)

tde_create_translated_desktop( kbattleship.desktop )

install( FILES _kbattleship._tcp
  DESTINATION ${DATA_INSTALL_DIR}/zeroconf
)
